%define rel rc1

Name: jakarta-bsf
Version: 2.3.0
Release: alt0.1%{rel}

%def_enable check
%def_disable debug

Summary: Bean Scripting Framework
Group: Development/Java
License: Apache
Url: http://jakarta.apache.org/bsf/

%define pkgdocdir %_docdir/%name-%version

Source: http://cvs.apache.org/dist/jakarta/bsf/v2.3.0rc1/src/bsf-src-%{version}.tar.gz

BuildPreReq: rpm-build-java
BuildRequires: j2se-devel ant
BuildRequires: jakarta-servletapi4
BuildRequires: xalan-j
%if_enabled check
BuildRequires: ant ant-junit
%endif
AutoProv: yes, nolib

%description
Bean Scripting Framework (BSF) is a set of Java classes which provides
scripting language support within Java applications, and access to Java
objects and methods from scripting languages. BSF allows one to write
JSPs in languages other than Java while providing access to the Java class
library. In addition, BSF permits any Java application to be implemented
in part (or dynamically extended) by a language that is embedded within it.
This is achieved by providing an API that permits calling scripting language
engines from within Java, as well as an object registry that exposes Java
objects to these scripting language engines.

%package javadoc
Summary: Javadoc for Bean Scripting Framework
Group: Development/Java

%description javadoc
Javadoc-generated API documentation for Bean Scripting Framework.

%prep
%setup -q -n bsf-%{version}
find . -name '*.jar' -print0 | xargs -r0 %__rm -f


%build
%set_classpath %_javadir/jakarta-servletapi4.jar
%add_classpath %_javadir/xalan-j.jar
cd src
%ant_build -Dsite.lib.dir=%_javadir \
%if_enabled debug
    -Dcompile.optimize=false \
%else
    -Dcompile.debug=false \
%endif
    compile
%ant_build javadocs

%install
%__mkdir_p %buildroot%_javadir
%__install -p -m644 src/build/lib/bsf.jar %buildroot%_javadir/bsf.jar

%files
%_javadir/*.jar

%files javadoc
%doc src/build/javadocs/*


%changelog
* Tue Apr 26 2005 Eugene V. Horohorin <genix@altlinux.ru> 2.3.0-alt0.1rc1
- First build for ALTLinux
